# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXDelete

Function

Deletes a reference to an Object.

Syntax
`
#include <dx/dx.h>
`

Error DXDelete(Object o)

Functional Details A call to this routine indicates that Object `o` is no longer needed. A reference count is maintained inside each Object; the memory associated with each Object `o` is not actually released until the last user of Object `o` has called `DXDelete`. If `o` is `NULL`, then `DXDelete` immediately returns `OK`.

When `DXDelete` is called on Objects that contain other objects (e.g., Groups or Fields), it decrements the reference count on all Objects in the hierarchy. A module that creates an Object is responsible for deleting the Object unless it is either made part of another Object (e.g, using `DXSetComponentValue`) or it is returned as the module output.

Return Value

Returns `OK` or returns `ERROR` and sets an error code.

See Also

`DXCopy, DXReference`

4.2 , "Memory Management", "Object Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]